Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8075400

Cannot build hotspot in jdk8u on OSX 10.10 (Yosemite)

    XMLWordPrintable

    Details

    • Subcomponent:
    • Resolved In Build:
      b08
    • CPU:
      x86
    • OS:
      os_x

      Backports

        Description

        Attempting to build hotspot in jdk8u-dev on OSX 10.10 results in two failures. One failure when it attempts to link libjvm.dylib, complaining that -rpath is only available when the target OS version is 10.5 or greater. The second failure is when libsaproc.dylib is linked, failing with mysterious unresolved symbols.

        Digging into the issue it was found that the -mmacosx-version-min=XXX argument is not being passed to the linker. Doing so solves both problems. This is a bug in the build system since the intent of that flag is to enforce the minimum supported version of OSX, which is done by the linker when it produces the final Mach-O binary.

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  ddehaven David Dehaven (Inactive)
                  Reporter:
                  ddehaven David Dehaven (Inactive)
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  2 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: